Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Activity

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
                  org.apache.ode.bpel.compiler.bom.Activity

Direct Known Subclasses:
  AssignActivity, CompensateActivity, CompensateScopeActivity, CompositeActivity, CreateInstanceActivity, EmptyActivity, IfActivity, RepeatUntilActivity, ReplyActivity, RethrowActivity, ScopeLikeActivity, SwitchActivity, TerminateActivity, ThrowActivity, WaitActivity, WhileActivity

    public class Activity

extends JoinFailureSuppressor

Interface common to all BPEL activities. This interface provides methods for manipulating the so-called "common attributes" such as source and target links, activity name, and supress join failure flag.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Activity(org.w3c.dom.Element el)`

Method Summary
`Expression` | `getJoinCondition()` Get the join condition.
`java.util.List<LinkSource>` | `getLinkSources()` Get the `LinkSource`s for this activity.
`java.util.List<LinkTarget>` | `getLinkTargets()` Get the `LinkTarget`s for this activity.
`java.lang.String` | `getName()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Activity

    public Activity(org.w3c.dom.Element el)

Method Detail

### getName

    public java.lang.String getName()

### getJoinCondition

    public Expression getJoinCondition()

  Get the join condition.

  Returns:
    the join condition

### getLinkSources

    public java.util.List<LinkSource> getLinkSources()

  Get the `LinkSource`s for this activity.

  Returns:
    set of `LinkSource`s

### getLinkTargets

    public java.util.List<LinkTarget> getLinkTargets()

  Get the `LinkTarget`s for this activity.

  Returns:
    set of `LinkTarget`s

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD